Debian Bug report logs - #443561
off_t size changed causing ABI breakage, but ABI was not bumped

version graph

Package: libgmime-2.0-2; Maintainer for libgmime-2.0-2 is (unknown);

Reported by: Mirco Bauer <meebey@debian.org>

Date: Sat, 22 Sep 2007 12:30:01 UTC

Severity: serious

Tags: patch

Found in version gmime2.2/2.2.10-1

Fixed in version gmime2.2/2.2.18-1.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=501830

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Mirco Bauer <meebey@debian.org>:
New Bug report received and forwarded. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mirco Bauer <meebey@debian.org>
To: submit@bugs.debian.org
Subject: off_t size changed causing ABI breakage, but ABI was not bumped
Date: Sat, 22 Sep 2007 14:25:49 +0200
[Message part 1 (text/plain, inline)]
Package: libgmime-2.0-2
Severity: serious
Version: 2.2.10-1

libgmime-2.0-2 introduced an ABI breakage in 2.2.10-1 by activating LFS.
GMime has a streaming API which uses off_t, and that changed size.

From the build logs:
Automatic build of gmime2.2_2.2.9-1 on ninsei by sbuild/i386 99.99
checking size of off_t... 4

Automatic build of gmime2.2_2.2.10-1 on ninsei by sbuild/i386 99.99
checking size of off_t... 8

Also this causes gmime-sharp to pass incorectly sized parameters being
passed to the streaming functions causing crashes (asserts), see
#442173.

-- 
Regards,

Mirco 'meebey' Bauer

PGP-Key ID: 0xEEF946C8

FOSS Developer    meebey@meebey.net  http://www.meebey.net/
PEAR Developer    meebey@php.net     http://pear.php.net/
Debian Developer  meebey@debian.org  http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Reply sent to Guus Sliepen <guus@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 443561-forwarded@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Jeffrey Stedfast <fejj@gnome.org>
Cc: 443561-forwarded@bugs.debian.org
Subject: [meebey@debian.org: Bug#443561: off_t size changed causing ABI breakage, but ABI was not bumped]
Date: Tue, 16 Oct 2007 11:38:41 +0200
[Message part 1 (text/plain, inline)]
Hello Jeffrey,

Attached is another bugreport I should've forwarded earlier. By enabling
large file support, the size of off_t changes, and therefore the size of
any struct containing a field of type off_t. The API is still
compatible, but the ABI is not. The best way to "fix" this is to bump
the soname.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@sliepen.org>
[Message part 2 (message/rfc822, inline)]
From: Mirco Bauer <meebey@debian.org>
To: submit@bugs.debian.org
Subject: Bug#443561: off_t size changed causing ABI breakage, but ABI was not bumped
Date: Sat, 22 Sep 2007 14:25:49 +0200
[Message part 3 (text/plain, inline)]
Package: libgmime-2.0-2
Severity: serious
Version: 2.2.10-1

libgmime-2.0-2 introduced an ABI breakage in 2.2.10-1 by activating LFS.
GMime has a streaming API which uses off_t, and that changed size.

From the build logs:
Automatic build of gmime2.2_2.2.9-1 on ninsei by sbuild/i386 99.99
checking size of off_t... 4

Automatic build of gmime2.2_2.2.10-1 on ninsei by sbuild/i386 99.99
checking size of off_t... 8

Also this causes gmime-sharp to pass incorectly sized parameters being
passed to the streaming functions causing crashes (asserts), see
#442173.

-- 
Regards,

Mirco 'meebey' Bauer

PGP-Key ID: 0xEEF946C8

FOSS Developer    meebey@meebey.net  http://www.meebey.net/
PEAR Developer    meebey@php.net     http://pear.php.net/
Debian Developer  meebey@debian.org  http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #13 received at 443561@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: <443561@bugs.debian.org>
Subject: Gnome Bugzilla link
Date: Thu, 06 Dec 2007 11:12:12 +0100
Hi,

this bug has been reported upstream in gnome bugzilla
 http://bugzilla.gnome.org/show_bug.cgi?id=501830

Guus, it would be cool if you could adopt forwarding bugs to the  
proper locations instead of non-public (non-list) E-Mail adresses.  
That way everyone gets to see the state of upstream work on it and  
other people looking at upstream's bug tracking can find it as well.

Kind regards

T.




Forwarded-to-address changed from Jeffrey Stedfast <fejj@gnome.org> to http://bugzilla.gnome.org/show_bug.cgi?id=501830. Request was from tv@beamnet.de (Thomas Viehmann) to control@bugs.debian.org. (Thu, 06 Dec 2007 10:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 443561@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Thomas Viehmann <tv@beamnet.de>, 443561@bugs.debian.org
Subject: Re: Bug#443561: Gnome Bugzilla link
Date: Thu, 6 Dec 2007 11:42:28 +0100
[Message part 1 (text/plain, inline)]
forwarded 443561 http://bugzilla.gnome.org/show_bug.cgi?id=111511
thanks

On Thu, Dec 06, 2007 at 11:12:12AM +0100, Thomas Viehmann wrote:

> this bug has been reported upstream in gnome bugzilla
>  http://bugzilla.gnome.org/show_bug.cgi?id=501830
>
> Guus, it would be cool if you could adopt forwarding bugs to the proper 
> locations instead of non-public (non-list) E-Mail adresses. That way 
> everyone gets to see the state of upstream work on it and other people 
> looking at upstream's bug tracking can find it as well.

Well, I can't remember exactly, but when I took over gmime I think it
wasn't yet an option to forward gmime bugs to bugzilla, and I had to
contact upstream directly, and I'm still doing that. But you're right
that I should forward bugs to the most proper place.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Forwarded-to-address changed from http://bugzilla.gnome.org/show_bug.cgi?id=501830 to http://bugzilla.gnome.org/show_bug.cgi?id=111511. Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. (Thu, 06 Dec 2007 10:45:04 GMT) Full text and rfc822 format available.

Forwarded-to-address changed from http://bugzilla.gnome.org/show_bug.cgi?id=111511 to http://bugzilla.gnome.org/show_bug.cgi?id=501830. Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. (Thu, 06 Dec 2007 10:51:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #29 received at 443561@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Mirco Bauer <meebey@debian.org>, 443561@bugs.debian.org
Subject: Re: Bug#443561: off_t size changed causing ABI breakage, but ABI was not bumped
Date: Tue, 1 Apr 2008 10:56:52 +0200
[Message part 1 (text/plain, inline)]
severity 443561 important
thanks

On Sat, Sep 22, 2007 at 02:25:49PM +0200, Mirco Bauer wrote:

> libgmime-2.0-2 introduced an ABI breakage in 2.2.10-1 by activating LFS.
> GMime has a streaming API which uses off_t, and that changed size.

AFAIK there are no packages in Debian that depend on gmime2.2 that do
not work with the current version. The ABI should still have been bumped
of course, but I think it is safe to let gmime2.2 migrate to testing.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `serious' Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. (Tue, 01 Apr 2008 09:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #36 received at 443561@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: 443561@bugs.debian.org, control@bugs.debian.org
Subject: Still RC
Date: Tue, 01 Apr 2008 14:10:43 +0200
severity 443561 serious
thanks

Heya,

Even if packages in sid may work at this time, ahve you verified the
same for packages from lenny and/or stable? What about locally compiled
software? Simply bump the SONAME and be done with it. We will happily
schedule binNMUs for all of your r-depends.

Marc, release thingy
-- 
Fachbegriffe der Informatik - Einfach erklärt
227: Benutzerdokumentation
       Alte Kodelistings sauber geheftet. (Manfred Worm Schäfer)




Severity set to `serious' from `important' Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. (Tue, 01 Apr 2008 12:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #43 received at 443561@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>, 443561@bugs.debian.org
Subject: Re: Bug#443561: Still RC
Date: Tue, 1 Apr 2008 14:47:51 +0200
[Message part 1 (text/plain, inline)]
On Tue, Apr 01, 2008 at 02:10:43PM +0200, Marc 'HE' Brockschmidt wrote:

> severity 443561 serious
> thanks
> 
> Even if packages in sid may work at this time, ahve you verified the
> same for packages from lenny and/or stable? What about locally compiled
> software? Simply bump the SONAME and be done with it. We will happily
> schedule binNMUs for all of your r-depends.

I can bump the soname but then I'd be out of sync with upstream, which
unfortunately has other opinions about this issue. What about creating a
.shlibs file that makes packages depending on the -dev package depend on
libgmime-2.0-2 >= 2.2.11?

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #48 received at 443561@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: Guus Sliepen <guus@debian.org>
Cc: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>, 443561@bugs.debian.org
Subject: Re: Bug#443561: Still RC
Date: Tue, 01 Apr 2008 15:24:31 +0200
[Message part 1 (text/plain, inline)]
Guus Sliepen <guus@debian.org> writes:
> On Tue, Apr 01, 2008 at 02:10:43PM +0200, Marc 'HE' Brockschmidt wrote:
>> Even if packages in sid may work at this time, ahve you verified the
>> same for packages from lenny and/or stable? What about locally compiled
>> software? Simply bump the SONAME and be done with it. We will happily
>> schedule binNMUs for all of your r-depends.
> I can bump the soname but then I'd be out of sync with upstream, which
> unfortunately has other opinions about this issue. What about creating a
> .shlibs file that makes packages depending on the -dev package depend on
> libgmime-2.0-2 >= 2.2.11?

What about leaving the SONAME as it is and simply use libgmime-2.0-2a as
package name? You don't need only to fix packages which are now built
against the new packages, but also ensure that no old package can be
installed together with the new gmime ABI.

Marc
-- 
BOFH #104:
backup tape overwritten with copy of system manager's favourite CD
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #53 received at 443561@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 443561@bugs.debian.org
Subject: Suggested plan
Date: Sat, 5 Apr 2008 02:57:20 +0100
[Message part 1 (text/plain, inline)]
How about this plan:

Rename libgmime-2.0-2 to libgmime-2.0-2a.

BinNMU the following packages:
tracker
pinot
pan
mail-notification
libgmime2.2-cil
libgmime-2.0-2-dev
dbmail-pgsql
dbmail-mysql
dbmail
balsa

I'm happy to do an NMU doing the rename if you like.  Not being an RM, I
can't start the binNMU campaign myself, but I'm happy to prod the RMs
about it.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #58 received at 443561@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Stephen Gran <sgran@debian.org>, 443561@bugs.debian.org
Subject: Re: Bug#443561: Suggested plan
Date: Sun, 6 Apr 2008 13:50:33 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 05, 2008 at 02:57:20AM +0100, Stephen Gran wrote:

> Rename libgmime-2.0-2 to libgmime-2.0-2a.
[...]
> I'm happy to do an NMU doing the rename if you like.  Not being an RM, I
> can't start the binNMU campaign myself, but I'm happy to prod the RMs
> about it.

Go ahead! I don't have too much time at the moment so the help is
welcome.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guus Sliepen <guus@debian.org>:
Bug#443561; Package libgmime-2.0-2. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Guus Sliepen <guus@debian.org>. Full text and rfc822 format available.

Message #63 received at 443561@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 443561@bugs.debian.org
Subject: gmime2.2: diff for NMU version 2.2.18-1.1
Date: Sun, 6 Apr 2008 13:24:33 +0100
[Message part 1 (text/plain, inline)]
tags 443561 + patch
thanks

Hi,

Attached is the diff for my gmime2.2 2.2.18-1.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[gmime2.2-2.2.18-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sun, 06 Apr 2008 12:27:17 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 06 Apr 2008 20:06:07 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mirco Bauer <meebey@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #72 received at 443561-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 443561-close@bugs.debian.org
Subject: Bug#443561: fixed in gmime2.2 2.2.18-1.1
Date: Tue, 15 Apr 2008 22:00:13 +0000
Source: gmime2.2
Source-Version: 2.2.18-1.1

We believe that the bug you reported is fixed in the latest version of
gmime2.2, which is due to be installed in the Debian FTP archive:

gmime2.2_2.2.18-1.1.diff.gz
  to pool/main/g/gmime2.2/gmime2.2_2.2.18-1.1.diff.gz
gmime2.2_2.2.18-1.1.dsc
  to pool/main/g/gmime2.2/gmime2.2_2.2.18-1.1.dsc
libgmime-2.0-2-dev_2.2.18-1.1_i386.deb
  to pool/main/g/gmime2.2/libgmime-2.0-2-dev_2.2.18-1.1_i386.deb
libgmime-2.0-2-doc_2.2.18-1.1_all.deb
  to pool/main/g/gmime2.2/libgmime-2.0-2-doc_2.2.18-1.1_all.deb
libgmime-2.0-2a_2.2.18-1.1_i386.deb
  to pool/main/g/gmime2.2/libgmime-2.0-2a_2.2.18-1.1_i386.deb
libgmime2.2-cil_2.2.18-1.1_all.deb
  to pool/main/g/gmime2.2/libgmime2.2-cil_2.2.18-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 443561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated gmime2.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 06 Apr 2008 13:17:03 +0100
Source: gmime2.2
Binary: libgmime-2.0-2-dev libgmime-2.0-2-doc libgmime-2.0-2a libgmime2.2-cil
Architecture: source i386 all
Version: 2.2.18-1.1
Distribution: unstable
Urgency: low
Maintainer: Guus Sliepen <guus@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libgmime-2.0-2-dev - MIME library - development files
 libgmime-2.0-2-doc - MIME library - documentation
 libgmime-2.0-2a - MIME library
 libgmime2.2-cil - CLI binding for the MIME library
Closes: 443561
Changes: 
 gmime2.2 (2.2.18-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Rename libgmime-2.0-2 to libgmime-2.0-2a to reflect ABI change
     (closes: #443561)
Files: 
 4695d8fc23088dde526153e903dd6b96 971 libs optional gmime2.2_2.2.18-1.1.dsc
 b72fbad44d329cdc978afc4b522df3a5 21390 libs optional gmime2.2_2.2.18-1.1.diff.gz
 ffe1cd707258fdc083e99218b8856fa8 252876 libdevel optional libgmime-2.0-2-dev_2.2.18-1.1_i386.deb
 b3b01d6db07c95ff801b6309ab38806b 200266 libs optional libgmime-2.0-2a_2.2.18-1.1_i386.deb
 85de09712ada2f5597e368817eccc729 179600 doc optional libgmime-2.0-2-doc_2.2.18-1.1_all.deb
 176270dcdb4b8fdfc4a31a14071f217e 107054 libs optional libgmime2.2-cil_2.2.18-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH+MBkSYIMHOpZA44RAhlQAKC9RqQDdvZNTRaRiyH5Az4IJhktlwCfa9vK
vvDe/KdYH3p4oVnJ4JU82gA=
=AhmT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:21:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:28:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.